package tokens_test

import (
	"gitea.deepak.science/deepak/gogmagog/models"
	"gitea.deepak.science/deepak/gogmagog/tokens"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestBasic(t *testing.T) {
	assert := assert.New(t)
	toker := tokens.New("secret")
	usr := &models.UserNoPassword{
		UserID:      3,
		Username:    "test",
		DisplayName: "Ted Est III",
	}
	token := toker.EncodeUser(usr)

	assert.Nil(toker.VerifyTokenString(token))
	assert.NotNil(tokens.New("bad secret").VerifyTokenString(token))
}
